package xn.hxp.room.tool.cabinet;

import java.util.List;

import xn.hxp.room.RoomTool;
import xn.hxp.room.bean.cabinet.Cabinet;
import xn.hxp.room.bean.cabinet.CabinetDoor;
import xn.hxp.room.dao.cabinet.CabinetDao;
import xn.hxp.room.dao.cabinet.CabinetDoorDao;

public enum CabinetDoorTool {
    INSTANCE;

    private CabinetDoorDao cabinetDoorDao;

    CabinetDoorTool() {
        cabinetDoorDao = RoomTool.getInstance().cabinetDoorDao();
    }

    public void insert(List<CabinetDoor> cabinetDoorList) {
        cabinetDoorDao.insert(cabinetDoorList);
    }

    public void deleteAll() {
        cabinetDoorDao.deleteAll();
    }

    public List<CabinetDoor> getCabinetDoorList() {
        return cabinetDoorDao.getCabinetDoorList();
    }
}
